Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb.jdbc
Class JDBCCommonDataSource

    java.lang.Object
      org.hsqldb.jdbc.JDBCCommonDataSource

All Implemented Interfaces:
  Serializable, CommonDataSource

Direct Known Subclasses:
  JDBCDataSource

    public abstract class JDBCCommonDataSource

extends Object
implements CommonDataSource, Serializable

Common base for DataSource implementations.

Since:
  JDK 1.2, HSQLDB 2.0
Author:
  Fred Toussi (fredt@users dot sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`JDBCCommonDataSource()`

Method Summary
`String` | `getDatabase()` Synonym for getUrl().
`String` | `getDatabaseName()` Synonym for getUrl().
`String` | `getDataSourceName()` Retrieves the name of the data source.
`String` | `getDescription()` Retrieves the description of the data source.
`int` | `getLoginTimeout()` Gets the maximum time in seconds that this data source can wait while attempting to connect to a database.
`PrintWriter` | `getLogWriter()` Retrieves the log writer for this `DataSource` object.
`String` | `getNetworkProtocol()` Retrieves the network protocol of the data source.
`Logger` | `getParentLogger()` Return the parent Logger of all the Loggers used by this data source.
`String` | `getServerName()` Retrieves the server name attribute.
`String` | `getUrl()` Retrieves the jdbc database connection url attribute.
`String` | `getUser()` Retrieves the user name for the connection.
`void` | `setDatabase(String database)` Synonym for setUrl(String).
`void` | `setDatabaseName(String databaseName)` Synonym for setUrl(String).
`void` | `setLoginTimeout(int seconds)` Sets the maximum time in seconds that this data source will wait while attempting to connect to a database.
`void` | `setLogWriter(PrintWriter out)` Sets the log writer for this `DataSource` object to the given `java.io.PrintWriter` object.
`void` | `setPassword(String password)` Sets the password for the user name.
`void` | `setProperties(Properties props)` Sets connection properties.
`void` | `setUrl(String url)` Sets the jdbc database URL.
`void` | `setUser(String user)` Sets the user name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCCommonDataSource

    public JDBCCommonDataSource()

Method Detail

### getLogWriter

    public PrintWriter getLogWriter()
                             throws SQLException

  Retrieves the log writer for this `DataSource` object.

  The log writer is a character output stream to which all logging and tracing messages for this data source will be printed. This includes messages printed by the methods of this object, messages printed by methods of other objects manufactured by this object, and so on. Messages printed to a data source specific log writer are not printed to the log writer associated with the `java.sql.DriverManager` class. When a `DataSource` object is created, the log writer is initially null; in other words, the default is for logging to be disabled.

  Specified by:
    `getLogWriter` in interface `CommonDataSource`
  Returns:
    the log writer for this data source or null if logging is disabled
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4
  See Also:
    `setLogWriter(java.io.PrintWriter)`

### setLogWriter

    public void setLogWriter(PrintWriter out)
                      throws SQLException

  Sets the log writer for this `DataSource` object to the given `java.io.PrintWriter` object.

  The log writer is a character output stream to which all logging and tracing messages for this data source will be printed. This includes messages printed by the methods of this object, messages printed by methods of other objects manufactured by this object, and so on. Messages printed to a data source- specific log writer are not printed to the log writer associated with the `java.sql.DriverManager` class. When a `DataSource` object is created the log writer is initially null; in other words, the default is for logging to be disabled.

  Specified by:
    `setLogWriter` in interface `CommonDataSource`
  Parameters:
    `out` - the new log writer; to disable logging, set to null
  Throws:
    `SQLException` - if a database access error occurs
  Since:
    1.4
  See Also:
    `getLogWriter()`

### setLoginTimeout

    public void setLoginTimeout(int seconds)
                         throws SQLException

  Sets the maximum time in seconds that this data source will wait while attempting to connect to a database. A value of zero specifies that the timeout is the default system timeout if there is one; otherwise, it specifies that there is no timeout. When a `DataSource` object is created, the login timeout is initially zero.

  Specified by:
    `setLoginTimeout` in interface `CommonDataSource`
  Parameters:
    `seconds` - the data source login time limit
  Throws:
    `SQLException` - if a database access error occurs.
  Since:
    1.4
  See Also:
    `getLoginTimeout()`

### getLoginTimeout

    public int getLoginTimeout()
                        throws SQLException

  Gets the maximum time in seconds that this data source can wait while attempting to connect to a database. A value of zero means that the timeout is the default system timeout if there is one; otherwise, it means that there is no timeout. When a `DataSource` object is created, the login timeout is initially zero.

  Specified by:
    `getLoginTimeout` in interface `CommonDataSource`
  Returns:
    the data source login time limit
  Throws:
    `SQLException` - if a database access error occurs.
  Since:
    1.4
  See Also:
    `setLoginTimeout(int)`

### getDescription

    public String getDescription()

  Retrieves the description of the data source.

  Returns:
    the description

### getDataSourceName

    public String getDataSourceName()

  Retrieves the name of the data source.

  Returns:
    the description

### getNetworkProtocol

    public String getNetworkProtocol()

  Retrieves the network protocol of the data source.

  Returns:
    the network protocol

### getServerName

    public String getServerName()

  Retrieves the server name attribute.

  Returns:
    the server name attribute

### getDatabaseName

    public String getDatabaseName()

  Synonym for getUrl().

  Returns:
    the jdbc database connection url attribute

### getDatabase

    public String getDatabase()

  Synonym for getUrl().

  Returns:
    the jdbc database connection url attribute

### getUrl

    public String getUrl()

  Retrieves the jdbc database connection url attribute.

  Returns:
    the jdbc database connection url attribute

### getUser

    public String getUser()

  Retrieves the user name for the connection.

  Returns:
    the username for the connection

### setDatabaseName

    public void setDatabaseName(String databaseName)

  Synonym for setUrl(String).

  Parameters:
    `databaseName` - the new value for the attribute

### setDatabase

    public void setDatabase(String database)

  Synonym for setUrl(String).

  Parameters:
    `database` - the new value for the attribute

### setUrl

    public void setUrl(String url)

  Sets the jdbc database URL.

  Parameters:
    `url` - the new value of this object's jdbc database connection url attribute

### setPassword

    public void setPassword(String password)

  Sets the password for the user name.

  Parameters:
    `password` - the password

### setUser

    public void setUser(String user)

  Sets the user name.

  Parameters:
    `user` - the user id

### setProperties

    public void setProperties(Properties props)

  Sets connection properties. If user / password / logginTimeout has been set with one of the setXXX() methods it will be added to the Properties object.

  Parameters:
    `props` - properties. If null, then existing properties will be cleared/replaced.

### getParentLogger

    public Logger getParentLogger()
                           throws SQLFeatureNotSupportedException

  Return the parent Logger of all the Loggers used by this data source. This should be the Logger farthest from the root Logger that is still an ancestor of all of the Loggers used by this data source. Configuring this Logger will affect all of the log messages generated by the data source. In the worst case, this may be the root Logger.

  Returns:
    the parent Logger for this data source
  Throws:
    `SQLFeatureNotSupportedException` - if the data source does not use `java.util.logging`.``
  Since:
    JDK 1.7 M11 2010/09/10 (b123), HSQLDB 2.0.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 - 2010 HSQL Development Group.